#ifndef XANIMDYNAMICFRAMES_H
#define XANIMDYNAMICFRAMES_H

#include "xasset.h"

#include <QVector>

class XAnimDynamicFrames : public XAsset
{
public:
    explicit XAnimDynamicFrames();
    ~XAnimDynamicFrames() = default;

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

    QVector<quint8> GetFrames() const;
    void SetFrames(QVector<quint8> aFrames);

private:
    QVector<quint8> mFrames;
};

#endif // XANIMDYNAMICFRAMES_H
